Bug 49636 - rpc.statd is on by default, even if unused
Summary: rpc.statd is on by default, even if unused
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-22 13:40 UTC by Steve Bonneville
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-11 06:40:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Bonneville 2001-07-22 13:40:32 UTC
Description of Problem:  Now that the portmap service is on by default (due
to the
addition of sgi_fam), rpc.statd is on again by default (the nfslock service
ships
chkconfig-ed on, even though nfs ships chkconfig-ed off).  In 7.1, while we
ship
'chkconfig nfslock on', since portmap is off the nfslocking services are
off.

rpc.statd has been a source of remote-user security vulnerabilities in the
past, and
probably should not be turned on if it is not in use.

We should set 'chkconfig nfslock off' by default unless there's an
overriding reason 
not to do so.

Comment 1 Pete Zaitcev 2002-10-11 06:40:06 UTC
Let the master to NOTABUG it :)
/me washes hands


Comment 2 Stephen Tweedie 2002-10-11 11:17:33 UTC
There are reasons for needing rpc.statd to run at boot.  If you do a manual
"service nfs on" for any reason, then crash while holding NFS locks, you'll end
up never releasing that lock on the server, ever, unless you run rpc.statd on
the subsequent reboot.  It's rpc.statd which informs the server that the client
reboot has happened and that lock cleanup must occur.


Note You need to log in before you can comment on or make changes to this bug.